// Class definitions for split tables
// Should be enhanced with more methods to encapsulate tuple
// redistribution - like Volcano's operator module


#define NORMAL 0
#define CHEAP 1

// structure of each split table entry
typedef struct {
    int		numTuples;	// number of tuples on the network page
    Mailbox*	destNode;	// mailbox of destination node
} NetBufRec;

// class definition for split table structure
class SplitTable {
  private:
    int		curOutBuf;	// round-robin ptr to active output buffer
  public:
    int		splitCnt;
    NetBufRec*	splitArray;
    int		tupleSize;	// size of each tuple in bytes

    SplitTable(int numEntries, int tupSize);
    ~SplitTable();
    // send full buffer to its destination 
    void sendNetBuffer(int tableEntry, bool eofFlag, Node* n, Mailbox* source,
                       int msgType = NORMAL);
 
   // flush all split table buffers to their destinations
   void flushNetBufs(Node* n, Mailbox* source, int msgType = NORMAL); 
	
};

