#include "dbsim.h"
#include "object.h"
#include "mailbox.h"
#include "terminal.h"
#include "language.h"

///////////////////////////////////////////////////////////////////////////////
//
//  Name:        terminal.c
//
//  Function:    Terminal class implementations
//                 
//  Change Activity:
//
//     08/xx/91 (KPB) - Initial version.
//
///////////////////////////////////////////////////////////////////////////////

Terminal::Terminal(int ID, JobClass* jc) {
  id = ID;
  jobClass = jc;
  port = new TermMailbox("TermPort", this); // get a mail address

  // Must clone a private copy of think time and plans, since these may contain
  // or be sequences, and thus each terminal should have its own independent
  // sequence counters.  The clone methods will recursively clone as needed.

  thinksecs = jc->thinksecs->clone();
  plans = jc->plans->clone();

  TermProc(this);                           // start up terminal process
}

void Terminal::print(int indent) {
  printf("Terminal id %d:", id);
  NewSubLine;
  jobClass->print(indent+PRINTINDENT);
}
