///////////////////////////////////////////////////////////////////////////////
//
//  Name:        terminal.h
//
//  Function:    Terminal class specification.
//                 
//  Change Activity:
//
//     08/91 (KPB) - Initial version.
//
///////////////////////////////////////////////////////////////////////////////

#ifndef terminalh
#define terminalh

class JobClass;
class TermMailbox;
class RandomReal;
class ProbDist;

class Terminal : public Object {
  public:
    int id;                               // terminal identifier
    TermMailbox* port;                    // terminal process input port
    JobClass *jobClass;                   // job class terminal belongs to
    RandomReal *thinksecs;                // private think time for this term
    ProbDist *plans;                      // private plan sequence/dist

    Terminal(int id, JobClass* jc);
    ~Terminal(){};
    void print(int indent);
};

void TermProc(Terminal* t);               // terminal process

#endif
