plan lowshar_100K = fscan(f100K_w208_na_da, .01);
plan hishar_100K = fscan(hisharing_100K, .01);
plan lowshar_1M = fscan(f1M_w208_na_da, .01);
plan hishar_1M = fscan(hisharing_1M, .01);

plan selseq = <lowshar_100K, hishar_100K, lowshar_1M, hishar_1M>;
plan selstore_seq = store(selseq);

plan point(stats) = store{0}(iscan{0}(index_na, 0, 0));

plan ldj2way = hjoin(lowshar_100K, lowshar_100K, .01);
plan ldj3way = hjoin(ldj2way, lowshar_100K, .01);
plan ldj4way = hjoin(ldj3way, lowshar_100K, .01);
plan rda3way = hjoin(lowshar_100K, ldj2way, .01);
plan rda4way = hjoin(lowshar_100K, rda3way, .01);
plan bsmjoin2way = hjoin(lowshar_100K, lowshar_100K, .001);
plan bsmjoin3way(stats) = hjoin(bsmjoin2way, bsmjoin2way, .001);

plan ldjoin_seq = <ldj2way, ldj3way, ldj4way>;
plan ldjoinstore_seq = store(ldjoin_seq);
plan rdajoin_seq = <rda3way, rda4way>;
plan rdajoinstore_seq = store(rdajoin_seq);
plan bsmjoin_seq = <bsmjoin2way, bsmjoin3way>;
plan bsmjoinstore_seq = store(bsmjoin_seq);

class regression = <population=1, plans = <selstore_seq*4,
					   point*4,
					   ldjoinstore_seq*3,
					   rdajoinstore_seq*2,
					   bsmjoinstore_seq*2>>;
//class regression = <population=10, plans = <selstore_seq*4,
//					   point*4,
//					   ldjoinstore_seq*3,
//					   rdajoinstore_seq*2,
//					   bsmjoinstore_seq*2>,
//			thinksecs=expntl(10)>;
